Re: davidc502 1900ac 3200acm builds

I think the issue is missing dependencies.. Assuming --force-depends was used because it was complaining about dependencies it couldn't find.

Go ahead and remove all the packages, and run the command  opkg install luci-app-sqm   

Copy the missing dependencies here.

We may be able to satisfy those dependencies before attempting to install.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

davidc502 wrote:

I think the issue is missing dependencies.. Assuming --force-depends was used because it was complaining about dependencies it couldn't find.

Go ahead and remove all the packages, and run the command  opkg install luci-app-sqm   

Copy the missing dependencies here.

We may be able to satisfy those dependencies before attempting to install.

root@lede:~# opkg install luci-app-sqm
Installing luci-app-sqm (1.0.7-1) to root...
Downloading http://downloads.lede-project.org/snaps … 1_all.ipk.
Collected errors:
* satisfy_dependencies_for: Cannot satisfy the following dependencies for luci-app-sqm:
*     kernel (= 4.4.14-1-03bd7f33e7cd5b3f27af91f54c80ea80) *     kernel (= 4.4.14-1-03bd7f33e7cd5b3f27af91f54c80ea80) *     kernel (= 4.4.14-1-03bd7f33e7cd5b3f27af91f54c80ea80) *     kernel (= 4.4.14-1-03bd7f33e7cd5b3f27af91f54c80ea80) *     kernel (= 4.4.14-1-03bd7f33e7cd5b3f27af91f54c80ea80) *
* opkg_install_cmd: Cannot install package luci-app-sqm.

Re: davidc502 1900ac 3200acm builds

I tried on my ACS and have the exact same issue as you which is surprising because I didn't have that issue with other packages... One would think they would be uniform.

Looks like the repository was just updated today, and my guess is there have been changes.

1. What I could do is get new source files, compile, and download all of the packages for that same day.

2. If you want to test, download and install V2 image (from lede), and try to install luci-app-sqm and see if you have the same issue  >>  https://downloads.lede-project.org/snap … u/generic/

Let me know what you would like to do.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

davidc502 wrote:

I tried on my ACS and have the exact same issue as you which is surprising because I didn't have that issue with other packages... One would think they would be uniform.

Looks like the repository was just updated today, and my guess is there have been changes.

1. What I could do is get new source files, compile, and download all of the packages for that same day.

2. If you want to test, download and install V2 image (from lede), and try to install luci-app-sqm and see if you have the same issue  >>  https://downloads.lede-project.org/snap … u/generic/

Let me know what you would like to do.

I downloaded the latest LEDE image and used  opkg install luci-app-sqm and it installed perfectly. I did not need to use force-depends

Re: davidc502 1900ac 3200acm builds

Thank you ---

Appears the packages are evolving daily.  This means after a build I need to download all the packages and make them available.

I'll rebuild everything this weekend.

Appreciate it.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

Sorry for the noob question but how do I connect to the package repo? I keep on getting :
Failed to establish connection
Signature check failed.
followed by wget returned 4.

I am connected to the internet and have added DNS addresses in the settings.I can even visit the repo in my web browser. I had opkg working with chaos calmer so not sure what to do.

Re: davidc502 1900ac 3200acm builds

It's all good... What's happened is the source packages are evolving every day, so the Signature checks will begin failing withing 24 hours or so.

This Friday/Saturday morning I will be building new images, and will download all the packages, and post them on the website.

Download the new image after they are posted, and the correct packages should be there too.

Best Regards,

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

Hello, I've just received my ACS buyed on amazon prime day and I've just flashed your build!
Seems very nice, sadly I didn't have time to switch from my previous router...
It seems that lacks something but that will be done on ssh....

I have just a small question/courtesy to ask you DavidC as I'm very very n00b in *wrt world...
Could you build/include a python3 package? Or I can just install with opkg smootly?
( a torrent client would be nice, but I feel RPi 2 would be better ).

Thank you, for your work!

Re: davidc502 1900ac 3200acm builds

Have you checked the lede package base for python3 to see if it is available?

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

60 (edited by Bob8x 2016-07-14 16:17:52)

Re: davidc502 1900ac 3200acm builds

If you mean here ( https://downloads.lede-project.org/snap … /packages/ ) than there is not.
If you mean elsewhere, I don't known where to check...

EDIT:
if you mean:
https://downloads.lede-project.org/snap … /packages/  or
https://downloads.lede-project.org/snap … /packages/  or
https://downloads.lede-project.org/snap … /packages/


than yes, but not so sure which one, as the soc has neon support but dunno which version...

Re: davidc502 1900ac 3200acm builds

Correct area,so if you don't see it then the package is not available. It is possible to compile but would be a question for people more knowledgeable on how to do it.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

62 (edited by stangri 2016-07-15 04:50:50)

Re: davidc502 1900ac 3200acm builds

FYI, python3 package is available on LEDE:

#opkg info python3
Package: python3
Version: 3.5.1-4
Depends: libc, python3-light, python3-asyncio, python3-codecs, python3-ctypes, python3-dbm, python3-decimal, python3-distutils, python3-email, python3-gdbm, python3-logging, python3-lzma, python3-multiprocessing, python3-ncurses, python3-openssl, python3-pydoc, python3-sqlite3, python3-unittest, python3-xml
Status: unknown ok not-installed
Section: lang
Architecture: mips_34kc
Maintainer: Alexandru Ardelean <ardeleanalex@gmail.com>
MD5Sum: 4f79435f945c57ecdb8f7048f611837a
Size: 1013
Filename: python3_3.5.1-4_mips_34kc.ipk
Source: feeds/packages/lang/python3
Description: This package contains the (almost) full Python install. It's python3-light + all other packages.

63 (edited by davidc502 2016-07-16 17:49:46)

Re: davidc502 1900ac 3200acm builds

Okay... New LEDE builds are available, and believe it or not with Signature matching packages...... finally.

After flashing new image, please update Distribution feeds to the following.

src/gz reboot_core [url]http://davidc502sis.dynamic-dns.net/snapshots/targets/mvebu/generic/packages/[/url]
src/gz reboot_base [url]http://davidc502sis.dynamic-dns.net/snapshots/packages/base[/url]
src/gz reboot_telephony [url]http://davidc502sis.dynamic-dns.net/snapshots/packages/telephony[/url]
src/gz reboot_packages [url]http://davidc502sis.dynamic-dns.net/snapshots/packages/packages[/url]
src/gz reboot_routing [url]http://davidc502sis.dynamic-dns.net/snapshots/packages/routing[/url]
src/gz reboot_luci [url]http://davidc502sis.dynamic-dns.net/snapshots/packages/luci[/url]

BusyBox v1.24.2 () built-in shell (ash)

     _________
    /        /\      _    ___ ___  ___
   /  LE    /  \    | |  | __|   \| __|
  /    DE  /    \   | |__| _|| |) | _|
/________/  LE  \  |____|___|___/|___|                      lede-project.org
\        \   DE /
  \    LE  \    /  -----------------------------------------------------------
   \  DE    \  /    Reboot (HEAD, r1003)
    \________\/    ----------------------

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

David, Since I don't like to live dangerously with my router..

When you say "Don't save any OpenWrt setting, when upgrading to LEDE, unless you like to live dangerously!."
Are you basically saying to do a a reset before the updated?
I'm currently running 4.4.7: OpenWrt Designated Driver r49377 / LuCI Master (git-16.151.26687-f4af114).  Can I restore from backup after the upgrade or do I have to reset my config from scratch?

I've had great luck with you builds so far.. just want to keep the trend going wink

Re: davidc502 1900ac 3200acm builds

From main page of LEDE:

Sysupgrades from OpenWrt to LEDE or vice versa are supported but it is advised to not keep settings in such a case to benefit from the updated defaults.
Free OpenWrt Advances Democracy
Myth, the stuff legends are made of

66 (edited by davidc502 2016-07-25 19:26:58)

Re: davidc502 1900ac 3200acm builds

btrv wrote:

David, Since I don't like to live dangerously with my router..

When you say "Don't save any OpenWrt setting, when upgrading to LEDE, unless you like to live dangerously!."
Are you basically saying to do a a reset before the updated?
I'm currently running 4.4.7: OpenWrt Designated Driver r49377 / LuCI Master (git-16.151.26687-f4af114).  Can I restore from backup after the upgrade or do I have to reset my config from scratch?

I've had great luck with you builds so far.. just want to keep the trend going wink

You can flash LEDE through the GUI, but UN-Check the save configurations box before  you flash.

Once LEDE is loaded, you will need to start re-building the configurations from scratch as there are no saved settings from OpenWrt.

Just be sure to backup your OpenWrt configurations before flashing, so if you ever want to go back, it will be easy to recover all of your settings.

Best Regards,

David

P.S. I tried to save configurations from OpenWrt, but the LEDE configurations were screwed up, and I had to flash again without all of the OpenWrt settings.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

I did a reset first and didn't save.. my 1200AC came up fine, but the status page still says 4.4.7.  Did the image not take?  Checksum was fine.

68 (edited by aafj 2016-07-26 04:04:50)

Re: davidc502 1900ac 3200acm builds

The link on the download wiki page seems to be wonky. Pointing at wrong image?

Edit: If that is what you used, rather than the signature line. Or perhaps it's just naming convention. Not really clear. What is meant by doing a reset? Are you going back to the previous image?

Edit2: Yes, the naming seems questionable and unclear. You could take the image apart, but since you seem to be flashing successfully I would guess that is the image. davidc502 is going to have to pipe in for the answer.

Free OpenWrt Advances Democracy
Myth, the stuff legends are made of

Re: davidc502 1900ac 3200acm builds

On the firmware flash page, I hit the reset button and after reboot I had the default configuration.  I then flashed with lede-mvebu-armada-385-linksys-caiman-squashfs-factory.img.  It did seem to reset the "save configuration checkbox.. so I unchecked and reflashed twice

The funny part is that the directory structure seems to indicate 4.4.7.. http://davidc502sis.dynamic-dns.net/mve … actory.img

Re: davidc502 1900ac 3200acm builds

Run this command...

root@lede:~# ls -l /lib/modules
drwxr-xr-x    2 root     root          2027 Jul 15 07:19 4.4.15   <<< Kernel version

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

uname -a

Seems like a better idea, but I would assume the status page should indicate the same as that command.

Free OpenWrt Advances Democracy
Myth, the stuff legends are made of

Re: davidc502 1900ac 3200acm builds

aafj wrote:

uname -a

Seems like a better idea, but I would assume the status page should indicate the same as that command.

I've had issues with the page displaying properly if cache hasn't been cleared before jumping version.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

uname -a
Linux OpenWrt 4.4.7 #1 SMP Thu Jun 9 03:35:50 UTC 2016 armv7l GNU/Linux

Re: davidc502 1900ac 3200acm builds

Definitely still on OpenWrt distro.

The link provided (above) is definitely lede. The directory structure is because of the slow phase out of OpenWrt. One day it will be cleaned up.

We need someone else with a 1200, so they can test as well.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver

Re: davidc502 1900ac 3200acm builds

Almost forgot...  If you have a USB/TTL cable, try flashing with that method.

David's 1900ac 3200acm Snapshot Builds W/LuCi Modern - https://davidc502sis.dynamic-dns.net

Linksys Wrt1900acx/3200acm  - Current build -  LEDE 4.4.39  Hydra (HEAD, r2607) & 10.3.2.0-20161220 Wifi Driver